# gdcm::PythonFilter Class Reference

PythonFilter PythonFilter is the class that make gdcm2.x looks more like gdcm1 and transform the binary blob contained in a DataElement into a string, typically this is a nice feature to have for wrapped language. More...

`#include <gdcmPythonFilter.h>`

Collaboration diagram for gdcm::PythonFilter:
[legend]

List of all members.

## Public Member Functions

| PythonFilter ()
| ~PythonFilter ()
const File & | GetFile () const
File & | GetFile ()
void | SetDicts (const Dicts &dicts)
void | SetFile (const File &f)
PyObject * | ToPyObject (const Tag &t) const
void | UseDictAlways (bool use)

## Detailed Description

PythonFilter PythonFilter is the class that make gdcm2.x looks more like gdcm1 and transform the binary blob contained in a DataElement into a string, typically this is a nice feature to have for wrapped language.

## Constructor & Destructor Documentation

gdcm::PythonFilter::PythonFilter | ( |  | ) |

gdcm::PythonFilter::~PythonFilter | ( |  | ) |

## Member Function Documentation

File& gdcm::PythonFilter::GetFile | ( |  | ) | `[inline]`

const File& gdcm::PythonFilter::GetFile | ( |  | ) | const`[inline]`

void gdcm::PythonFilter::SetDicts | ( | const Dicts & | dicts | ) |

void gdcm::PythonFilter::SetFile | ( | const File & | f | ) | `[inline]`

PyObject* gdcm::PythonFilter::ToPyObject | ( | const Tag & | t | ) | const

void gdcm::PythonFilter::UseDictAlways | ( | bool | use | ) | `[inline]`

The documentation for this class was generated from the following file:

- gdcmPythonFilter.h